NetraFlow
API Reference

Account

Retrieve account information, credit balance, and usage statistics.

GET /v1/account

Retrieve your account details, credit balance, and plan limits.

curl https://api.netraflow.com/v1/account \
  -H "X-Api-Key: sk_live_your_key_here"
{
  "data": {
    "tenant_id": "ten_abc123",
    "name": "Acme Corp",
    "email": "[email protected]",
    "plan": "pro",
    "credits": {
      "balance": 4500,
      "plan_credits": 4500,
      "purchased_credits": 0,
      "monthly_allowance": 5000,
      "resets_at": "2026-05-01T00:00:00.000Z",
      "used_this_period": 500
    },
    "limits": {
      "max_video_duration_minutes": 60,
      "max_requests_per_minute": 60,
      "max_concurrent_jobs": 10,
      "max_queries_per_job": 10,
      "webhooks_enabled": true,
      "max_batch_size": 25,
      "max_aggregate_queries_per_batch": 5
    },
    "created_at": "2026-01-15T10:00:00.000Z"
  },
  "meta": { "request_id": "req_xyz789" }
}

Credits fields

Prop

Type

Limits fields

Prop

Type


GET /v1/usage

Retrieve usage statistics and credit transaction history for a given period.

Query parameters

Prop

Type

curl "https://api.netraflow.com/v1/usage?start_date=2026-04-01T00:00:00Z" \
  -H "X-Api-Key: sk_live_your_key_here"
{
  "data": {
    "summary": {
      "period": {
        "start": "2026-04-01T00:00:00.000Z",
        "end": "2026-04-03T15:30:00.000Z"
      },
      "credits_used": 120,
      "credits_purchased": 0,
      "credits_refunded": 5,
      "credits_granted": 0,
      "total_jobs": 15
    },
    "transactions": [
      {
        "id": "txn_abc123",
        "type": "charge",
        "amount": -10,
        "job_id": "job_xyz789",
        "description": "Job completed",
        "created_at": "2026-04-03T14:00:00.000Z"
      }
    ]
  },
  "pagination": {
    "has_more": false,
    "next_cursor": null
  },
  "meta": { "request_id": "req_abc456" }
}

On this page